org.apache.solr.hadoop.dedup

## Class RejectingUpdateConflictResolver

- java.lang.Object
- - org.apache.solr.hadoop.dedup.RejectingUpdateConflictResolver

- All Implemented Interfaces:
    UpdateConflictResolver

      public final class RejectingUpdateConflictResolver
      extends Object
      implements UpdateConflictResolver

  UpdateConflictResolver implementation that rejects multiple documents with the same key with an exception.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RejectingUpdateConflictResolver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<SolrInputDocument>` | `orderUpdates(org.apache.hadoop.io.Text key, Iterator<SolrInputDocument> updates, org.apache.hadoop.mapreduce.Reducer.Context ctx)` Given a list of all colliding document updates for the same unique document key, this method returns zero or more documents in an application specific order.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RejectingUpdateConflictResolver

          public RejectingUpdateConflictResolver()

  - ### Method Detail

    - #### orderUpdates

          public Iterator<SolrInputDocument> orderUpdates(org.apache.hadoop.io.Text key,
                                                          Iterator<SolrInputDocument> updates,
                                                          org.apache.hadoop.mapreduce.Reducer.Context ctx)

      Description copied from interface: `UpdateConflictResolver`
      Given a list of all colliding document updates for the same unique document key, this method returns zero or more documents in an application specific order. The caller will then apply the updates for this key to Solr in the order returned by the orderUpdate() method.
      Specified by:
        `orderUpdates` in interface `UpdateConflictResolver`
      Parameters:
        `key` - the document key common to all collidingUpdates mentioned below
        `updates` - all updates in the MapReduce job that have a key equal to `uniqueKey` mentioned above. The input order is unspecified.
        `ctx` - The `Context` passed from the `Reducer` implementations.
      Returns:
        the order in which the updates shall be applied to Solr

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.